From 3d58d6940ed6341e66d711c8d4e0aba2608e3cee Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Thu, 20 Oct 2022 10:25:30 +1100
Subject: [PATCH v2] Tidied some GUC C variable declarations.

---
 src/backend/replication/logical/launcher.c | 1 +
 src/backend/replication/slot.c             | 6 +++---
 src/backend/replication/walsender.c        | 8 ++++----
 3 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/src/backend/replication/logical/launcher.c b/src/backend/replication/logical/launcher.c
index ff57421..6833eb9 100644
--- a/src/backend/replication/logical/launcher.c
+++ b/src/backend/replication/logical/launcher.c
@@ -52,6 +52,7 @@
 /* max sleep time between cycles (3min) */
 #define DEFAULT_NAPTIME_PER_CYCLE 180000L
 
+/* GUC variables. */
 int			max_logical_replication_workers = 4;
 int			max_sync_workers_per_subscription = 2;
 
diff --git a/src/backend/replication/slot.c b/src/backend/replication/slot.c
index d58d16e..5b73aa1 100644
--- a/src/backend/replication/slot.c
+++ b/src/backend/replication/slot.c
@@ -97,9 +97,9 @@ ReplicationSlotCtlData *ReplicationSlotCtl = NULL;
 /* My backend's replication slot in the shared memory array */
 ReplicationSlot *MyReplicationSlot = NULL;
 
-/* GUCs */
-int			max_replication_slots = 0;	/* the maximum number of replication
-										 * slots */
+/* GUC variable. */
+int			max_replication_slots = 10;	/* the maximum number of replication
+									 * slots */
 
 static void ReplicationSlotShmemExit(int code, Datum arg);
 static void ReplicationSlotDropAcquired(void);
diff --git a/src/backend/replication/walsender.c b/src/backend/replication/walsender.c
index 2193dca..142028a 100644
--- a/src/backend/replication/walsender.c
+++ b/src/backend/replication/walsender.c
@@ -118,11 +118,11 @@ bool		am_cascading_walsender = false; /* Am I cascading WAL to another
 											 * standby? */
 bool		am_db_walsender = false;	/* Connected to a database? */
 
-/* User-settable parameters for walsender */
-int			max_wal_senders = 0;	/* the maximum number of concurrent
+/* GUC variables. */
+int			max_wal_senders = 10;	/* the maximum number of concurrent
 									 * walsenders */
-int			wal_sender_timeout = 60 * 1000; /* maximum time to send one WAL
-											 * data message */
+int			wal_sender_timeout = 60 * 1000;	/* maximum time to send one WAL
+									 * data message */
 bool		log_replication_commands = false;
 
 /*
-- 
1.8.3.1

